<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Wed Aug 25 22:08:27 CEST 2021 -->
<title>U-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-25">
<meta name="description" content="index: U">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html#unauthorizedHandler">unauthorizedHandler</a></span> - Variable in class com.zelyvanna.bdoefficiency.security.<a href="../com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html" title="class in com.zelyvanna.bdoefficiency.security">WebSecurityConfig</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html#updateCharacter(com.zelyvanna.bdoefficiency.model.Character,int,org.springframework.security.core.Authentication)">updateCharacter(Character, int, Authentication)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html" title="class in com.zelyvanna.bdoefficiency.controller">CharacterController</a></dt>
<dd>
<div class="block">Allows a User to edit various informations about his Character</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Item.html#updatedAt">updatedAt</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Item.html" title="class in com.zelyvanna.bdoefficiency.model">Item</a></dt>
<dd>
<div class="block">Check if the item is taxed or not</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#updateGrind(com.zelyvanna.bdoefficiency.model.Grind,int,org.springframework.security.core.Authentication)">updateGrind(Grind, int, Authentication)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>
<div class="block">Allows a User to edit various informations about his Grind session</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#user">user</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>
<div class="block">Owner of the Character</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#user">user</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>
<div class="block">User of the Grind Session</div>
</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model"><span class="typeNameLink">User</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/model/package-summary.html">com.zelyvanna.bdoefficiency.model</a></dt>
<dd>
<div class="block">User Entity</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#%3Cinit%3E()">User()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>
<div class="block">User empty contructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String)">User(String, String, String)</a></span> - Constructor for class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>
<div class="block">User Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/TestController.html#userAccess()">userAccess()</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/TestController.html" title="class in com.zelyvanna.bdoefficiency.controller">TestController</a></dt>
<dd>
<div class="block">User Route</div>
</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services"><span class="typeNameLink">UserDetailsImpl</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/security/services/package-summary.html">com.zelyvanna.bdoefficiency.security.services</a></dt>
<dd>
<div class="block">Implementation of User Details</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html#%3Cinit%3E(java.lang.Long,java.lang.String,java.lang.String,java.lang.String,java.util.Collection)">UserDetailsImpl(Long, String, String, String, Collection&lt;? extends GrantedAuthority&gt;)</a></span> - Constructor for class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/jwt/AuthTokenFilter.html#userDetailsService">userDetailsService</a></span> - Variable in class com.zelyvanna.bdoefficiency.security.jwt.<a href="../com/zelyvanna/bdoefficiency/security/jwt/AuthTokenFilter.html" title="class in com.zelyvanna.bdoefficiency.security.jwt">AuthTokenFilter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html#userDetailsService">userDetailsService</a></span> - Variable in class com.zelyvanna.bdoefficiency.security.<a href="../com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html" title="class in com.zelyvanna.bdoefficiency.security">WebSecurityConfig</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsServiceImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services"><span class="typeNameLink">UserDetailsServiceImpl</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/security/services/package-summary.html">com.zelyvanna.bdoefficiency.security.services</a></dt>
<dd>
<div class="block">Service of the User Details Implementation</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsServiceImpl.html#%3Cinit%3E()">UserDetailsServiceImpl()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsServiceImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/User.html#username">username</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></dt>
<dd>
<div class="block">Username of the user</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html#username">username</a></span> - Variable in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/LoginRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">LoginRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html#username">username</a></span> - Variable in class com.zelyvanna.bdoefficiency.payload.request.<a href="../com/zelyvanna/bdoefficiency/payload/request/SignupRequest.html" title="class in com.zelyvanna.bdoefficiency.payload.request">SignupRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html#username">username</a></span> - Variable in class com.zelyvanna.bdoefficiency.payload.response.<a href="../com/zelyvanna/bdoefficiency/payload/response/JwtResponse.html" title="class in com.zelyvanna.bdoefficiency.payload.response">JwtResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html#username">username</a></span> - Variable in class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/AuthController.html#userRepository">userRepository</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/AuthController.html" title="class in com.zelyvanna.bdoefficiency.controller">AuthController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html#userRepository">userRepository</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html" title="class in com.zelyvanna.bdoefficiency.controller">CharacterController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#userRepository">userRepository</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsServiceImpl.html#userRepository">userRepository</a></span> - Variable in class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsServiceImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/repository/UserRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository"><span class="typeNameLink">UserRepository</span></a> - Interface in <a href="../com/zelyvanna/bdoefficiency/repository/package-summary.html">com.zelyvanna.bdoefficiency.repository</a></dt>
<dd>
<div class="block">User Repository</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
